<?php

$prime_fashion_custom_css = "";

$prime_fashion_primary_color = get_theme_mod('prime_fashion_primary_color');

/*------------------ Primary Global Color -----------*/

if ($prime_fashion_primary_color) {
  $prime_fashion_custom_css .= ':root {';
  $prime_fashion_custom_css .= '--primary-color: ' . esc_attr($prime_fashion_primary_color) . ' !important;';
  $prime_fashion_custom_css .= '} ';
}

/*-------------------- Scroll Top Alignment-------------------*/

$prime_fashion_scroll_top_alignment = get_theme_mod( 'prime_fashion_scroll_top_alignment','right-align');

if($prime_fashion_scroll_top_alignment == 'right-align'){
$prime_fashion_custom_css .='#button{';
	$prime_fashion_custom_css .='right: 5%;';
$prime_fashion_custom_css .='}';
}else if($prime_fashion_scroll_top_alignment == 'center-align'){
$prime_fashion_custom_css .='#button{';
	$prime_fashion_custom_css .='right:0; left:0; margin: 0 auto;';
$prime_fashion_custom_css .='}';
}else if($prime_fashion_scroll_top_alignment == 'left-align'){
$prime_fashion_custom_css .='#button{';
	$prime_fashion_custom_css .='left: 5%;';
$prime_fashion_custom_css .='}';
}

/*-------------------- Archive Page Pagination Alignment-------------------*/

$prime_fashion_archive_pagination_alignment = get_theme_mod( 'prime_fashion_archive_pagination_alignment','left-align');

if($prime_fashion_archive_pagination_alignment == 'right-align'){
$prime_fashion_custom_css .='.pagination{';
	$prime_fashion_custom_css .='justify-content: end;';
$prime_fashion_custom_css .='}';
}else if($prime_fashion_archive_pagination_alignment == 'center-align'){
$prime_fashion_custom_css .='.pagination{';
	$prime_fashion_custom_css .='justify-content: center;';
$prime_fashion_custom_css .='}';
}else if($prime_fashion_archive_pagination_alignment == 'left-align'){
$prime_fashion_custom_css .='.pagination{';
	$prime_fashion_custom_css .='justify-content: start;';
$prime_fashion_custom_css .='}';
}

/*-------------------- Scroll Top Responsive-------------------*/

$prime_fashion_resp_scroll_top = get_theme_mod( 'prime_fashion_resp_scroll_top',true);
if($prime_fashion_resp_scroll_top == true && get_theme_mod( 'prime_fashion_scroll_to_top',true) != true){
	$prime_fashion_custom_css .='#button.show{';
		$prime_fashion_custom_css .='visibility:hidden !important;';
	$prime_fashion_custom_css .='} ';
}
if($prime_fashion_resp_scroll_top == true){
	$prime_fashion_custom_css .='@media screen and (max-width:575px) {';
	$prime_fashion_custom_css .='#button.show{';
		$prime_fashion_custom_css .='visibility:visible !important;';
	$prime_fashion_custom_css .='} }';
}else if($prime_fashion_resp_scroll_top == false){
	$prime_fashion_custom_css .='@media screen and (max-width:575px){';
	$prime_fashion_custom_css .='#button.show{';
		$prime_fashion_custom_css .='visibility:hidden !important;';
	$prime_fashion_custom_css .='} }';
}

/*-------------------- Preloader Responsive-------------------*/

	$prime_fashion_resp_loader = get_theme_mod('prime_fashion_resp_loader',false);
	if($prime_fashion_resp_loader == true && get_theme_mod('prime_fashion_header_preloader',false) == false){
		$prime_fashion_custom_css .='@media screen and (min-width:575px){
			.preloader{';
			$prime_fashion_custom_css .='display:none !important;';
		$prime_fashion_custom_css .='} }';
	}

	if($prime_fashion_resp_loader == false){
		$prime_fashion_custom_css .='@media screen and (max-width:575px){
			.preloader{';
			$prime_fashion_custom_css .='display:none !important;';
		$prime_fashion_custom_css .='} }';
	}

	// Scroll to top button shape 

	$prime_fashion_scroll_border_radius = get_theme_mod( 'prime_fashion_scroll_to_top_radius','curved-box');
    if($prime_fashion_scroll_border_radius == 'box'){
		$prime_fashion_custom_css .='#button{';
			$prime_fashion_custom_css .='border-radius: 0px;';
		$prime_fashion_custom_css .='}';
	}else if($prime_fashion_scroll_border_radius == 'curved-box'){
		$prime_fashion_custom_css .='#button{';
			$prime_fashion_custom_css .='border-radius: 4px;';
		$prime_fashion_custom_css .='}';
	}
	else if($prime_fashion_scroll_border_radius == 'circle'){
		$prime_fashion_custom_css .='#button{';
			$prime_fashion_custom_css .='border-radius: 50%;';
		$prime_fashion_custom_css .='}';
	}

  // Footer Background Image Attatchment 

	$prime_fashion_footer_attatchment = get_theme_mod( 'prime_fashion_background_attatchment','scroll');
	if($prime_fashion_footer_attatchment == 'fixed'){
		$prime_fashion_custom_css .='.site-footer{';
			$prime_fashion_custom_css .='background-attachment: fixed;';
		$prime_fashion_custom_css .='}';
	}elseif ($prime_fashion_footer_attatchment == 'scroll'){
		$prime_fashion_custom_css .='.site-footer{';
			$prime_fashion_custom_css .='background-attachment: scroll;';
		$prime_fashion_custom_css .='}';
	}

  // Menu Hover Style	

	$prime_fashion_menus_item = get_theme_mod( 'prime_fashion_menus_style','None');
    if($prime_fashion_menus_item == 'None'){
		$prime_fashion_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
			$prime_fashion_custom_css .='';
		$prime_fashion_custom_css .='}';
	}else if($prime_fashion_menus_item == 'Zoom In'){
		$prime_fashion_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
		$prime_fashion_custom_css .= 'transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$prime_fashion_custom_css .= '}';
		
		$prime_fashion_custom_css .= '.main-navigation ul ul li a:hover {';
		$prime_fashion_custom_css .= 'margin-left: 20px;';
		$prime_fashion_custom_css .= '}';
	}	


	// Post Content Alignment

	$prime_fashion_blog_layout_option = get_theme_mod( 'prime_fashion_blog_layout_option','Left');
	if($prime_fashion_blog_layout_option == 'Left'){
		$prime_fashion_custom_css .='.post{';
			$prime_fashion_custom_css .='text-align: left;';
		$prime_fashion_custom_css .='}';
	}elseif ($prime_fashion_blog_layout_option == 'Right'){
		$prime_fashion_custom_css .='.post{';
			$prime_fashion_custom_css .='text-align: right;';
		$prime_fashion_custom_css .='}';
	}elseif ($prime_fashion_blog_layout_option == 'Center'){
		$prime_fashion_custom_css .='.post{';
			$prime_fashion_custom_css .='text-align: center;';
		$prime_fashion_custom_css .='}';
	}